{% extends 'base.html.twig' %}

{% block body %}
<nav class="navbar bg-secondary-subtle position-relative">
    <a href="{{path('app_logout')}}" class="position-absolute top-50 start-0 translate-middle-y link-secondary link-opacity-50-hover link-underline-opacity-50-hover ms-3 fs-5">Logout</a>
    <div class="container">
        <span>Hello {{app.user.email}} create Your new TODO LIST</span>
        {{ form_start(form) }}
            <div class="d-flex">
                {{ form_widget(form) }}
                <button class="btn btn-outline-secondary ms-3" type="submit">Add</button>
            </div>
        {{ form_end(form) }}
    </div>
</nav>
<main>
<div class="row row-cols-1 row-cols-md-4 row-cols-xl-5 g-5 mx-auto p-5">
    {% for todolist in todolists %}
        <div class="col">
            <div class="card text-bg-secondary border-secondary" aria-hidden="true">
                <div class="card-body">
                    <h5 class="card-title">
                        {{todolist.name}}
                    </h5>
                    <a href="{{path('app_list', {id: todolist.id})}}"><button class="btn btn-outline-light mt-3">Open</button></a>
                </div>
            </div>
        </div>
    {% endfor %}
</div>
</main>
{% endblock %}
